<?php


namespace OTP;

if (defined("\101\102\123\x50\101\x54\x48")) {
    goto Qq;
}
die;
Qq:
final class SplClassLoader
{
    private $_fileExtension = "\56\x70\150\160";
    private $_namespace;
    private $_includePath;
    private $_namespaceSeparator = "\134";
    public function __construct($wQ = null, $W0 = null)
    {
        $this->_namespace = $wQ;
        $this->_includePath = $W0;
    }
    public function register()
    {
        spl_autoload_register(array($this, "\x6c\157\x61\x64\103\x6c\141\163\163"));
    }
    public function unregister()
    {
        spl_autoload_unregister(array($this, "\154\x6f\x61\144\x43\154\x61\x73\x73"));
    }
    public function loadClass($NR)
    {
        if (!(null === $this->_namespace || $this->isSameNamespace($NR))) {
            goto ex;
        }
        $l_ = '';
        $pW = '';
        if (!(false !== ($sf = strripos($NR, $this->_namespaceSeparator)))) {
            goto g1;
        }
        $pW = strtolower(substr($NR, 0, $sf));
        $NR = substr($NR, $sf + 1);
        $l_ = str_replace($this->_namespaceSeparator, DIRECTORY_SEPARATOR, $pW) . DIRECTORY_SEPARATOR;
        g1:
        $l_ .= str_replace("\137", DIRECTORY_SEPARATOR, $NR) . $this->_fileExtension;
        $l_ = str_replace("\x6f\x74\x70", MOV_NAME, $l_);
        require ($this->_includePath !== null ? $this->_includePath . DIRECTORY_SEPARATOR : '') . $l_;
        ex:
    }
    private function isSameNamespace($NR)
    {
        return $this->_namespace . $this->_namespaceSeparator === substr($NR, 0, strlen($this->_namespace . $this->_namespaceSeparator));
    }
}
